Como colocar o Polybar através do yay?

Olá pessoal, tudo bem?

Finalmente consegui mudar minha interface gráfica. Agora uso o bspwm e está funcional, mas me falta uma coisa para concluir o processo: Instalar a Polybar (pode ser qualquer outro painel).

O problema é que não consigo instalar através do yay. Tenho o yay no meu sistema, mas quando dou o comando $ yay -S polybar, aparece a mensagem: yay: error while loading shared libraries: libalpm.so.12: cannot open shared object file: No such file or directory.

Por favor, alguém pode me ajudar? Se for necesário usar outro painel, não tem problema. Inclusive uso até o do XFCE, que estou mais acostumada e acho bastente discreto. Além disso ainda tenho ele no meu computador, só não sei como ativá-lo neste novo ambiente gráfico.

Desde já, muito obrigada!

1 curtida

Encontrei essa possível solução para o seu caso. Teve quem comentou que ajudou.

3 curtidas

Invoco @thespation em modo de combate e encerro minha jogada.

:vulcan_salute:

3 curtidas

A sua cópia do yay está desatualizada e já não consegue mais interagir com pacman do sistema. Daí é necessário reinstalar o yay manualmente, sem AUR helper:

# obter o script de compilação
git clone https://aur.archlinux.org/yay
# entrar na pasta onde está
cd yay
# compilar e instalar o yay
makepkg -si
1 curtida

[Resolvido] - Escrevi este código e consegui baixar o Polybar através do yay:

Escrevi esse código no terminal:

cd /tmp && git clone ‘https://aur.archlinux.org/yay.git’ && cd /tmp/yay && makepkg -si && cd ~ && rm -rf /tmp/yay/

É diferente da solução proposta pelo @Capezotte . Não tinha visto ainda a solução trazida por ele mas vou colocar sua resposta como solução devido a forma que ele explicou.

Obrigada @Capezotte e a toda a comunidade. Inclusive agora ocorreu um novo problema e vou compartilhar com vcs em nova postagem.

1 curtida

Este tópico foi fechado automaticamente 3 dias depois da última resposta. Novas respostas não são mais permitidas.